#!/usr/bin/env ruby

require_relative 'config.rb'
require_relative 'repository.rb'
require_relative 'transcoder.rb'

# create new configuration instance
c = Config.new('~/.config/zealot.toml')

# create new repository instance
r = Repository.new(c.get('transcoder.repository'))

# create new transcoder instance
t = Transcoder.new(c, r)

# start the transcoder
t.start()
